Home | History | Annotate | Download | only in marisa-trie
      1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
      5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
      6 # Inc.
      7 # This Makefile.in is free software; the Free Software Foundation
      8 # gives unlimited permission to copy and/or distribute it,
      9 # with or without modifications, as long as this notice is preserved.
     10 
     11 # This program is distributed in the hope that it will be useful,
     12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     14 # PARTICULAR PURPOSE.
     15 
     16 @SET_MAKE@
     17 VPATH = @srcdir@
     18 pkgdatadir = $(datadir)/@PACKAGE@
     19 pkgincludedir = $(includedir)/@PACKAGE@
     20 pkglibdir = $(libdir)/@PACKAGE@
     21 pkglibexecdir = $(libexecdir)/@PACKAGE@
     22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     23 install_sh_DATA = $(install_sh) -c -m 644
     24 install_sh_PROGRAM = $(install_sh) -c
     25 install_sh_SCRIPT = $(install_sh) -c
     26 INSTALL_HEADER = $(INSTALL_DATA)
     27 transform = $(program_transform_name)
     28 NORMAL_INSTALL = :
     29 PRE_INSTALL = :
     30 POST_INSTALL = :
     31 NORMAL_UNINSTALL = :
     32 PRE_UNINSTALL = :
     33 POST_UNINSTALL = :
     34 subdir = .
     35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
     36 	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
     37 	ChangeLog INSTALL NEWS depcomp install-sh missing
     38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     39 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
     40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     41 	$(ACLOCAL_M4)
     42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     43  configure.lineno config.status.lineno
     44 mkinstalldirs = $(install_sh) -d
     45 CONFIG_CLEAN_FILES =
     46 CONFIG_CLEAN_VPATH_FILES =
     47 SOURCES =
     48 DIST_SOURCES =
     49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     50 	html-recursive info-recursive install-data-recursive \
     51 	install-dvi-recursive install-exec-recursive \
     52 	install-html-recursive install-info-recursive \
     53 	install-pdf-recursive install-ps-recursive install-recursive \
     54 	installcheck-recursive installdirs-recursive pdf-recursive \
     55 	ps-recursive uninstall-recursive
     56 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
     57   distclean-recursive maintainer-clean-recursive
     58 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
     59 	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
     60 	distdir dist dist-all distcheck
     61 ETAGS = etags
     62 CTAGS = ctags
     63 DIST_SUBDIRS = $(SUBDIRS)
     64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     65 distdir = $(PACKAGE)-$(VERSION)
     66 top_distdir = $(distdir)
     67 am__remove_distdir = \
     68   { test ! -d "$(distdir)" \
     69     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
     70          && rm -fr "$(distdir)"; }; }
     71 am__relativize = \
     72   dir0=`pwd`; \
     73   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
     74   sed_rest='s,^[^/]*/*,,'; \
     75   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
     76   sed_butlast='s,/*[^/]*$$,,'; \
     77   while test -n "$$dir1"; do \
     78     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
     79     if test "$$first" != "."; then \
     80       if test "$$first" = ".."; then \
     81         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
     82         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
     83       else \
     84         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
     85         if test "$$first2" = "$$first"; then \
     86           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
     87         else \
     88           dir2="../$$dir2"; \
     89         fi; \
     90         dir0="$$dir0"/"$$first"; \
     91       fi; \
     92     fi; \
     93     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
     94   done; \
     95   reldir="$$dir2"
     96 DIST_ARCHIVES = $(distdir).tar.gz
     97 GZIP_ENV = --best
     98 distuninstallcheck_listfiles = find . -type f -print
     99 distcleancheck_listfiles = find . -type f -print
    100 ACLOCAL = @ACLOCAL@
    101 AMTAR = @AMTAR@
    102 AUTOCONF = @AUTOCONF@
    103 AUTOHEADER = @AUTOHEADER@
    104 AUTOMAKE = @AUTOMAKE@
    105 AWK = @AWK@
    106 CC = @CC@
    107 CCDEPMODE = @CCDEPMODE@
    108 CFLAGS = @CFLAGS@
    109 CPP = @CPP@
    110 CPPFLAGS = @CPPFLAGS@
    111 CXX = @CXX@
    112 CXXDEPMODE = @CXXDEPMODE@
    113 CXXFLAGS = @CXXFLAGS@
    114 CYGPATH_W = @CYGPATH_W@
    115 DEFS = @DEFS@
    116 DEPDIR = @DEPDIR@
    117 ECHO_C = @ECHO_C@
    118 ECHO_N = @ECHO_N@
    119 ECHO_T = @ECHO_T@
    120 EGREP = @EGREP@
    121 EXEEXT = @EXEEXT@
    122 GREP = @GREP@
    123 INSTALL = @INSTALL@
    124 INSTALL_DATA = @INSTALL_DATA@
    125 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    126 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    127 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    128 LDFLAGS = @LDFLAGS@
    129 LIBOBJS = @LIBOBJS@
    130 LIBS = @LIBS@
    131 LTLIBOBJS = @LTLIBOBJS@
    132 MAKEINFO = @MAKEINFO@
    133 MKDIR_P = @MKDIR_P@
    134 OBJEXT = @OBJEXT@
    135 PACKAGE = @PACKAGE@
    136 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    137 PACKAGE_NAME = @PACKAGE_NAME@
    138 PACKAGE_STRING = @PACKAGE_STRING@
    139 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    140 PACKAGE_URL = @PACKAGE_URL@
    141 PACKAGE_VERSION = @PACKAGE_VERSION@
    142 PATH_SEPARATOR = @PATH_SEPARATOR@
    143 POW_LIB = @POW_LIB@
    144 RANLIB = @RANLIB@
    145 SET_MAKE = @SET_MAKE@
    146 SHELL = @SHELL@
    147 STRIP = @STRIP@
    148 VERSION = @VERSION@
    149 abs_builddir = @abs_builddir@
    150 abs_srcdir = @abs_srcdir@
    151 abs_top_builddir = @abs_top_builddir@
    152 abs_top_srcdir = @abs_top_srcdir@
    153 ac_ct_CC = @ac_ct_CC@
    154 ac_ct_CXX = @ac_ct_CXX@
    155 am__include = @am__include@
    156 am__leading_dot = @am__leading_dot@
    157 am__quote = @am__quote@
    158 am__tar = @am__tar@
    159 am__untar = @am__untar@
    160 bindir = @bindir@
    161 build_alias = @build_alias@
    162 builddir = @builddir@
    163 datadir = @datadir@
    164 datarootdir = @datarootdir@
    165 docdir = @docdir@
    166 dvidir = @dvidir@
    167 exec_prefix = @exec_prefix@
    168 host_alias = @host_alias@
    169 htmldir = @htmldir@
    170 includedir = @includedir@
    171 infodir = @infodir@
    172 install_sh = @install_sh@
    173 libdir = @libdir@
    174 libexecdir = @libexecdir@
    175 localedir = @localedir@
    176 localstatedir = @localstatedir@
    177 mandir = @mandir@
    178 mkdir_p = @mkdir_p@
    179 oldincludedir = @oldincludedir@
    180 pdfdir = @pdfdir@
    181 prefix = @prefix@
    182 program_transform_name = @program_transform_name@
    183 psdir = @psdir@
    184 sbindir = @sbindir@
    185 sharedstatedir = @sharedstatedir@
    186 srcdir = @srcdir@
    187 sysconfdir = @sysconfdir@
    188 target_alias = @target_alias@
    189 top_build_prefix = @top_build_prefix@
    190 top_builddir = @top_builddir@
    191 top_srcdir = @top_srcdir@
    192 SUBDIRS = lib tools tests
    193 EXTRA_DIST = \
    194   vs2008/vs2008.* \
    195   vs2008/*/*
    196 
    197 all: all-recursive
    198 
    199 .SUFFIXES:
    200 am--refresh:
    201 	@:
    202 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    203 	@for dep in $?; do \
    204 	  case '$(am__configure_deps)' in \
    205 	    *$$dep*) \
    206 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
    207 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
    208 		&& exit 0; \
    209 	      exit 1;; \
    210 	  esac; \
    211 	done; \
    212 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
    213 	$(am__cd) $(top_srcdir) && \
    214 	  $(AUTOMAKE) --gnu Makefile
    215 .PRECIOUS: Makefile
    216 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    217 	@case '$?' in \
    218 	  *config.status*) \
    219 	    echo ' $(SHELL) ./config.status'; \
    220 	    $(SHELL) ./config.status;; \
    221 	  *) \
    222 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
    223 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    224 	esac;
    225 
    226 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    227 	$(SHELL) ./config.status --recheck
    228 
    229 $(top_srcdir)/configure:  $(am__configure_deps)
    230 	$(am__cd) $(srcdir) && $(AUTOCONF)
    231 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    232 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    233 $(am__aclocal_m4_deps):
    234 
    235 # This directory's subdirectories are mostly independent; you can cd
    236 # into them and run `make' without going through this Makefile.
    237 # To change the values of `make' variables: instead of editing Makefiles,
    238 # (1) if the variable is set in `config.status', edit `config.status'
    239 #     (which will cause the Makefiles to be regenerated when you run `make');
    240 # (2) otherwise, pass the desired values on the `make' command line.
    241 $(RECURSIVE_TARGETS):
    242 	@fail= failcom='exit 1'; \
    243 	for f in x $$MAKEFLAGS; do \
    244 	  case $$f in \
    245 	    *=* | --[!k]*);; \
    246 	    *k*) failcom='fail=yes';; \
    247 	  esac; \
    248 	done; \
    249 	dot_seen=no; \
    250 	target=`echo $@ | sed s/-recursive//`; \
    251 	list='$(SUBDIRS)'; for subdir in $$list; do \
    252 	  echo "Making $$target in $$subdir"; \
    253 	  if test "$$subdir" = "."; then \
    254 	    dot_seen=yes; \
    255 	    local_target="$$target-am"; \
    256 	  else \
    257 	    local_target="$$target"; \
    258 	  fi; \
    259 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    260 	  || eval $$failcom; \
    261 	done; \
    262 	if test "$$dot_seen" = "no"; then \
    263 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    264 	fi; test -z "$$fail"
    265 
    266 $(RECURSIVE_CLEAN_TARGETS):
    267 	@fail= failcom='exit 1'; \
    268 	for f in x $$MAKEFLAGS; do \
    269 	  case $$f in \
    270 	    *=* | --[!k]*);; \
    271 	    *k*) failcom='fail=yes';; \
    272 	  esac; \
    273 	done; \
    274 	dot_seen=no; \
    275 	case "$@" in \
    276 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    277 	  *) list='$(SUBDIRS)' ;; \
    278 	esac; \
    279 	rev=''; for subdir in $$list; do \
    280 	  if test "$$subdir" = "."; then :; else \
    281 	    rev="$$subdir $$rev"; \
    282 	  fi; \
    283 	done; \
    284 	rev="$$rev ."; \
    285 	target=`echo $@ | sed s/-recursive//`; \
    286 	for subdir in $$rev; do \
    287 	  echo "Making $$target in $$subdir"; \
    288 	  if test "$$subdir" = "."; then \
    289 	    local_target="$$target-am"; \
    290 	  else \
    291 	    local_target="$$target"; \
    292 	  fi; \
    293 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    294 	  || eval $$failcom; \
    295 	done && test -z "$$fail"
    296 tags-recursive:
    297 	list='$(SUBDIRS)'; for subdir in $$list; do \
    298 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
    299 	done
    300 ctags-recursive:
    301 	list='$(SUBDIRS)'; for subdir in $$list; do \
    302 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
    303 	done
    304 
    305 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    306 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    307 	unique=`for i in $$list; do \
    308 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    309 	  done | \
    310 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    311 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    312 	mkid -fID $$unique
    313 tags: TAGS
    314 
    315 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
    316 		$(TAGS_FILES) $(LISP)
    317 	set x; \
    318 	here=`pwd`; \
    319 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    320 	  include_option=--etags-include; \
    321 	  empty_fix=.; \
    322 	else \
    323 	  include_option=--include; \
    324 	  empty_fix=; \
    325 	fi; \
    326 	list='$(SUBDIRS)'; for subdir in $$list; do \
    327 	  if test "$$subdir" = .; then :; else \
    328 	    test ! -f $$subdir/TAGS || \
    329 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    330 	  fi; \
    331 	done; \
    332 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
    333 	unique=`for i in $$list; do \
    334 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    335 	  done | \
    336 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    337 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    338 	shift; \
    339 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    340 	  test -n "$$unique" || unique=$$empty_fix; \
    341 	  if test $$# -gt 0; then \
    342 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    343 	      "$$@" $$unique; \
    344 	  else \
    345 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    346 	      $$unique; \
    347 	  fi; \
    348 	fi
    349 ctags: CTAGS
    350 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
    351 		$(TAGS_FILES) $(LISP)
    352 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
    353 	unique=`for i in $$list; do \
    354 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    355 	  done | \
    356 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    357 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    358 	test -z "$(CTAGS_ARGS)$$unique" \
    359 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    360 	     $$unique
    361 
    362 GTAGS:
    363 	here=`$(am__cd) $(top_builddir) && pwd` \
    364 	  && $(am__cd) $(top_srcdir) \
    365 	  && gtags -i $(GTAGS_ARGS) "$$here"
    366 
    367 distclean-tags:
    368 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    369 
    370 distdir: $(DISTFILES)
    371 	$(am__remove_distdir)
    372 	test -d "$(distdir)" || mkdir "$(distdir)"
    373 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    374 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    375 	list='$(DISTFILES)'; \
    376 	  dist_files=`for file in $$list; do echo $$file; done | \
    377 	  sed -e "s|^$$srcdirstrip/||;t" \
    378 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    379 	case $$dist_files in \
    380 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    381 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    382 			   sort -u` ;; \
    383 	esac; \
    384 	for file in $$dist_files; do \
    385 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    386 	  if test -d $$d/$$file; then \
    387 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    388 	    if test -d "$(distdir)/$$file"; then \
    389 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    390 	    fi; \
    391 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    392 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    393 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    394 	    fi; \
    395 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    396 	  else \
    397 	    test -f "$(distdir)/$$file" \
    398 	    || cp -p $$d/$$file "$(distdir)/$$file" \
    399 	    || exit 1; \
    400 	  fi; \
    401 	done
    402 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    403 	  if test "$$subdir" = .; then :; else \
    404 	    test -d "$(distdir)/$$subdir" \
    405 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
    406 	    || exit 1; \
    407 	  fi; \
    408 	done
    409 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    410 	  if test "$$subdir" = .; then :; else \
    411 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
    412 	    $(am__relativize); \
    413 	    new_distdir=$$reldir; \
    414 	    dir1=$$subdir; dir2="$(top_distdir)"; \
    415 	    $(am__relativize); \
    416 	    new_top_distdir=$$reldir; \
    417 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
    418 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
    419 	    ($(am__cd) $$subdir && \
    420 	      $(MAKE) $(AM_MAKEFLAGS) \
    421 	        top_distdir="$$new_top_distdir" \
    422 	        distdir="$$new_distdir" \
    423 		am__remove_distdir=: \
    424 		am__skip_length_check=: \
    425 		am__skip_mode_fix=: \
    426 	        distdir) \
    427 	      || exit 1; \
    428 	  fi; \
    429 	done
    430 	-test -n "$(am__skip_mode_fix)" \
    431 	|| find "$(distdir)" -type d ! -perm -755 \
    432 		-exec chmod u+rwx,go+rx {} \; -o \
    433 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    434 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    435 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
    436 	|| chmod -R a+r "$(distdir)"
    437 dist-gzip: distdir
    438 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    439 	$(am__remove_distdir)
    440 
    441 dist-bzip2: distdir
    442 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    443 	$(am__remove_distdir)
    444 
    445 dist-lzma: distdir
    446 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
    447 	$(am__remove_distdir)
    448 
    449 dist-xz: distdir
    450 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
    451 	$(am__remove_distdir)
    452 
    453 dist-tarZ: distdir
    454 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    455 	$(am__remove_distdir)
    456 
    457 dist-shar: distdir
    458 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    459 	$(am__remove_distdir)
    460 
    461 dist-zip: distdir
    462 	-rm -f $(distdir).zip
    463 	zip -rq $(distdir).zip $(distdir)
    464 	$(am__remove_distdir)
    465 
    466 dist dist-all: distdir
    467 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    468 	$(am__remove_distdir)
    469 
    470 # This target untars the dist file and tries a VPATH configuration.  Then
    471 # it guarantees that the distribution is self-contained by making another
    472 # tarfile.
    473 distcheck: dist
    474 	case '$(DIST_ARCHIVES)' in \
    475 	*.tar.gz*) \
    476 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
    477 	*.tar.bz2*) \
    478 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
    479 	*.tar.lzma*) \
    480 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
    481 	*.tar.xz*) \
    482 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
    483 	*.tar.Z*) \
    484 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    485 	*.shar.gz*) \
    486 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
    487 	*.zip*) \
    488 	  unzip $(distdir).zip ;;\
    489 	esac
    490 	chmod -R a-w $(distdir); chmod a+w $(distdir)
    491 	mkdir $(distdir)/_build
    492 	mkdir $(distdir)/_inst
    493 	chmod a-w $(distdir)
    494 	test -d $(distdir)/_build || exit 0; \
    495 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    496 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    497 	  && am__cwd=`pwd` \
    498 	  && $(am__cd) $(distdir)/_build \
    499 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    500 	    $(DISTCHECK_CONFIGURE_FLAGS) \
    501 	  && $(MAKE) $(AM_MAKEFLAGS) \
    502 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    503 	  && $(MAKE) $(AM_MAKEFLAGS) check \
    504 	  && $(MAKE) $(AM_MAKEFLAGS) install \
    505 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    506 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    507 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    508 	        distuninstallcheck \
    509 	  && chmod -R a-w "$$dc_install_base" \
    510 	  && ({ \
    511 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    512 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    513 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    514 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    515 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    516 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    517 	  && rm -rf "$$dc_destdir" \
    518 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    519 	  && rm -rf $(DIST_ARCHIVES) \
    520 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
    521 	  && cd "$$am__cwd" \
    522 	  || exit 1
    523 	$(am__remove_distdir)
    524 	@(echo "$(distdir) archives ready for distribution: "; \
    525 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    526 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
    527 distuninstallcheck:
    528 	@$(am__cd) '$(distuninstallcheck_dir)' \
    529 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
    530 	   || { echo "ERROR: files left after uninstall:" ; \
    531 	        if test -n "$(DESTDIR)"; then \
    532 	          echo "  (check DESTDIR support)"; \
    533 	        fi ; \
    534 	        $(distuninstallcheck_listfiles) ; \
    535 	        exit 1; } >&2
    536 distcleancheck: distclean
    537 	@if test '$(srcdir)' = . ; then \
    538 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    539 	  exit 1 ; \
    540 	fi
    541 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    542 	  || { echo "ERROR: files left in build directory after distclean:" ; \
    543 	       $(distcleancheck_listfiles) ; \
    544 	       exit 1; } >&2
    545 check-am: all-am
    546 check: check-recursive
    547 all-am: Makefile
    548 installdirs: installdirs-recursive
    549 installdirs-am:
    550 install: install-recursive
    551 install-exec: install-exec-recursive
    552 install-data: install-data-recursive
    553 uninstall: uninstall-recursive
    554 
    555 install-am: all-am
    556 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    557 
    558 installcheck: installcheck-recursive
    559 install-strip:
    560 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    561 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    562 	  `test -z '$(STRIP)' || \
    563 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
    564 mostlyclean-generic:
    565 
    566 clean-generic:
    567 
    568 distclean-generic:
    569 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    570 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
    571 
    572 maintainer-clean-generic:
    573 	@echo "This command is intended for maintainers to use"
    574 	@echo "it deletes files that may require special tools to rebuild."
    575 clean: clean-recursive
    576 
    577 clean-am: clean-generic mostlyclean-am
    578 
    579 distclean: distclean-recursive
    580 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    581 	-rm -f Makefile
    582 distclean-am: clean-am distclean-generic distclean-tags
    583 
    584 dvi: dvi-recursive
    585 
    586 dvi-am:
    587 
    588 html: html-recursive
    589 
    590 html-am:
    591 
    592 info: info-recursive
    593 
    594 info-am:
    595 
    596 install-data-am:
    597 
    598 install-dvi: install-dvi-recursive
    599 
    600 install-dvi-am:
    601 
    602 install-exec-am:
    603 
    604 install-html: install-html-recursive
    605 
    606 install-html-am:
    607 
    608 install-info: install-info-recursive
    609 
    610 install-info-am:
    611 
    612 install-man:
    613 
    614 install-pdf: install-pdf-recursive
    615 
    616 install-pdf-am:
    617 
    618 install-ps: install-ps-recursive
    619 
    620 install-ps-am:
    621 
    622 installcheck-am:
    623 
    624 maintainer-clean: maintainer-clean-recursive
    625 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    626 	-rm -rf $(top_srcdir)/autom4te.cache
    627 	-rm -f Makefile
    628 maintainer-clean-am: distclean-am maintainer-clean-generic
    629 
    630 mostlyclean: mostlyclean-recursive
    631 
    632 mostlyclean-am: mostlyclean-generic
    633 
    634 pdf: pdf-recursive
    635 
    636 pdf-am:
    637 
    638 ps: ps-recursive
    639 
    640 ps-am:
    641 
    642 uninstall-am:
    643 
    644 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
    645 	install-am install-strip tags-recursive
    646 
    647 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
    648 	all all-am am--refresh check check-am clean clean-generic \
    649 	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
    650 	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
    651 	distclean distclean-generic distclean-tags distcleancheck \
    652 	distdir distuninstallcheck dvi dvi-am html html-am info \
    653 	info-am install install-am install-data install-data-am \
    654 	install-dvi install-dvi-am install-exec install-exec-am \
    655 	install-html install-html-am install-info install-info-am \
    656 	install-man install-pdf install-pdf-am install-ps \
    657 	install-ps-am install-strip installcheck installcheck-am \
    658 	installdirs installdirs-am maintainer-clean \
    659 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
    660 	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
    661 
    662 
    663 # Tell versions [3.59,3.63) of GNU make to not export all variables.
    664 # Otherwise a system limit (for SysV at least) may be exceeded.
    665 .NOEXPORT:
    666